<?php

class ContactFormsController extends EvContactFormAppController
{




	protected function _adminPopulateLookups() {

		$config= Configure::read('EvContactForm');
		$keys = array_combine(array_keys($config), array_keys($config));
		$this->set('formDatas', $keys);

	}

	/**
	 * index action
	 */
	public function _adminIndexActions() {

		return array(
			'Edit',
			'Delete',
		);

	}

	protected function _adminFormFields() {

		$Model = $this->{$this->modelClass};

		$fields = parent::_adminFormFields();

		$fields[$Model->alias.".form_data"]['type'] = 'select';
		$fields[$Model->alias.".form_data"]['label'] = 'Contact Form Type';
		unset($fields["{$Model->alias}.actioned"]);

		return $fields;
	}


	/**
	 * define the columns to show on the listing
	 */
	public function _adminIndexColumns() {

		return array(
			'ContactForm.name' => array(
				'label' => 'Name',
				'type' => 'string'
			),
			'ContactForm.created' => array(
				'label' => 'Submitted',
				'type' => 'datetime_nice'
			),
		);
	}


}